<div class="card">
    <div class="card-header bg-white">
        <h5 *ngIf="actionType === 'ROUTER'">{{'DATA_TABLE.DIALOG.ROUTING_CONFIRM'|translate}}</h5>
       <h5 *ngIf="actionType === 'DELETE'">{{'DATA_TABLE.DIALOG.ROUTING_DELETE'|translate}}</h5>
       <h5 *ngIf="actionType === 'CANCEL'">{{'DATA_TABLE.DIALOG.ROUTING_CANCEL'|translate}}</h5>
    </div>
    <div class="card-body">

        <div *ngIf="settings && item" class="row">
            <div class="col-12">
                <div *ngFor="let column of settings?.columns" class="form-group row">
                    <label class="col-6 col-form-label">{{column.title}}</label>
                    <div class="col-6">
                        <ng-container [ngSwitch]="column.format">
                            <ng-container *ngSwitchCase="'CURRENCY'">
                                <span [appNumberColor]="{apply: column.enableNumberColor, input: item[column.name]}">{{ item[column.name] | currency : pipeParameters.currency.currencyCode : pipeParameters.currency.display : pipeParameters.currency.digitsInfo }}</span>
                            </ng-container>
                            <ng-container *ngSwitchCase="'NUMBER'">
                                <span [appNumberColor]="{apply: column.enableNumberColor, input: item[column.name]}">{{ item[column.name] | number : pipeParameters.number.digitsInfo }}</span>
                            </ng-container>
                            <ng-container *ngSwitchCase="'DATE'">
                                <span>{{ item[column.name] | date: pipeParameters.date.format }}</span>
                            </ng-container>
                            <ng-container *ngSwitchCase="'PERCENT'" >
                                <span [appNumberColor]="{apply: column.enableNumberColor, input: item[column.name]}">{{ item[column.name] !== null ? ((item[column.name] / 100) | percent: pipeParameters.percent.digitsInfo) : ''}}</span>
                            </ng-container>
                                <ng-container *ngSwitchCase="'STRING'">
                                <span>{{ item[column.name] | truncate: 60 }}</span>
                            </ng-container>
                            <ng-container *ngSwitchDefault>
                                <span>{{ item[column.name] }}</span>
                            </ng-container>
                        </ng-container>
                    </div>
                </div>
            </div>
        </div>

        <div *ngIf="actionType === 'ROUTER'" class="alert alert-info text-center mb-0 mt-2" role="alert">
            <h4><em class="fa fa-exclamation-triangle"></em> {{'DATA_TABLE.DIALOG.WARNING'|translate}}</h4>
            <span>{{'DATA_TABLE.DIALOG.Q_ROUTING'|translate}}</span>
        </div>

        <div *ngIf="actionType === 'DELETE'" class="alert alert-danger text-center mb-0 mt-2" role="alert">
            <h4><em class="fa fa-exclamation-triangle"></em> {{'DATA_TABLE.DIALOG.WARNING'|translate}}</h4>
            <span>{{'DATA_TABLE.DIALOG.Q_DELETE'|translate}}</span>
        </div>

        <div *ngIf="actionType === 'CANCEL'" class="alert alert-warning text-center mb-0 mt-2" role="alert">
            <h4><em class="fa fa-exclamation-triangle"></em> {{'DATA_TABLE.DIALOG.WARNING'|translate}}</h4>
            <span>{{'DATA_TABLE.DIALOG.Q_CANCEL'|translate}}</span>
        </div>

    </div>
    <div class="card-footer bg-white">
        <div class="row">
            <div class="col-sm-10 col-12 offset-sm-2 offset-12">
                <button type="button" class="btn btn-sm btn-outline-secondary" (click)="onNoClick()" cdkFocusInitial>{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
                <button *ngIf="actionType === 'ROUTER'" type="button" class="btn btn-sm btn-info ml-1" [mat-dialog-close]="true">{{'FIELD.BUTTONS.CONFIRM'|translate}}</button>
                <button *ngIf="actionType === 'DELETE'" type="button" class="btn btn-sm btn-danger ml-1" [mat-dialog-close]="true">{{'FIELD.BUTTONS.CONFIRM'|translate}}</button>
                <button *ngIf="actionType === 'CANCEL'" type="button" class="btn btn-sm btn-warning ml-1" [mat-dialog-close]="true">{{'FIELD.BUTTONS.CONFIRM'|translate}}</button>
            </div>
        </div>
    </div>
</div>
